OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> [resolved]integrate My "make Dep" 'd Kernel Source, so that my native 'make' finds/uses it ?
telemetric_au
post Jun 1 2007, 05:41 AM
Post #1





Group: Members
Posts: 327
Joined: 28-February 06
From: South East of South Australia
Member No.: 9,251



ive gotten as far as configuring and issuing 'make dep' with a cross sdk, now i cant figure out how to integrate in onto my z so that the 'make' i issue natively as part of building some modules access's it ??
Go to the top of the page
 
+Quote Post
dhns
post Jun 1 2007, 11:06 AM
Post #2





Group: Members
Posts: 699
Joined: 26-February 04
From: near Munich, Germany
Member No.: 2,043



QUOTE(telemetric_au @ Jun 1 2007, 02:41 PM)
ive gotten as far as configuring and issuing 'make dep' with a cross sdk, now i cant figure out how to integrate in onto my z so that the 'make' i issue natively as part of building some modules access's it ??
*

Hm. I would assume you should provide some more information:

* on which host are you building?
* which version of which kernel?
* which cross-compiler?
* which 'make'?

etc.

-- hns
Go to the top of the page
 
+Quote Post
telemetric_au
post Jun 2 2007, 12:41 AM
Post #3





Group: Members
Posts: 327
Joined: 28-February 06
From: South East of South Australia
Member No.: 9,251



ok, have this kernel source: http://www.oesf.org/howto/downloads/linux-...0020910.tar.bz2 ala http://www.oesf.org/index.php?title=Compiling_the_Kernel

i used the cross sdk (arm-linux-gcc from cross-sdk-arm-cacko-linux-gnu-3.4.5-2.2.5-softfloat.tar.bz2 on my "big" pc to issue "make menuconfig' , then loaded the 5500 config, and issued "make dep'

now i want it on my z so that the make in bestcrypt can find/use it to build its modules (it doesnt have a config)...
Go to the top of the page
 
+Quote Post
telemetric_au
post Jun 3 2007, 09:10 AM
Post #4





Group: Members
Posts: 327
Joined: 28-February 06
From: South East of South Australia
Member No.: 9,251



ok i worked that one out :

for 2.4.x kernel

just symlink /lib/modules/2.4.18-rmk7-pxa3-embedix/build to the location of your kernel-source's "root" 'linux' directory .

ps if you get to the part in your module build and it says it cant find modversions.h as i did,

you need to go back and recompile your kernel enabling module version support options

now when you issue make dep it will make this file smile.gif
Go to the top of the page
 
+Quote Post
telemetric_au
post Jul 2 2007, 07:30 PM
Post #5





Group: Members
Posts: 327
Joined: 28-February 06
From: South East of South Australia
Member No.: 9,251



just a quick update, the version you need most likely is 2.4.18-rmk7-pxa3-embedix (linux-sl5500-20030509-rom3_10.tar.bz2)

rather than 2.4.6-rmk1-np2-embedix (linux-sl5500-20020910.tar.bz2)

see here for more details:

http://www.oesf.org/forums/index.php?showtopic=24307
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 21st November 2014 - 11:16 AM